Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.utils
Class XSDDateTimeConverter

    java.lang.Object
      be.ehealth.technicalconnector.utils.XSDDateTimeConverter

    public final class XSDDateTimeConverter

extends Object

Utility class to work with XSD DateTime

Method Summary
`static org.joda.time.DateTime` | `parseXSDDate(String text)` Converts a String date to an org.joda.time.DateTime
`static org.joda.time.DateTime` | `parseXSDDateTime(String text)` Converts a String dateTime to an org.joda.time.DateTime
`static org.joda.time.DateTime` | `parseXSDTime(String text)` Converts a String time to an org.joda.time.DateTime
`static String` | `printXSDDate(org.joda.time.DateTime dateTime)` Converts an org.joda.time.DateTime to a String date
`static String` | `printXSDDateTime(org.joda.time.DateTime dateTime)` Converts an org.joda.time.DateTime to a String dateTime
`static String` | `printXSDTime(org.joda.time.DateTime dateTime)` Converts an org.joda.time.DateTime time to a String time

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseXSDDate

    public static org.joda.time.DateTime parseXSDDate(String text)

  Converts a String date to an org.joda.time.DateTime

  Parameters:
    `text` -
  Returns:

### printXSDDate

    public static String printXSDDate(org.joda.time.DateTime dateTime)

  Converts an org.joda.time.DateTime to a String date

  Parameters:
    `dateTime` -
  Returns:

### parseXSDTime

    public static org.joda.time.DateTime parseXSDTime(String text)

  Converts a String time to an org.joda.time.DateTime

  Parameters:
    `text` -
  Returns:

### printXSDTime

    public static String printXSDTime(org.joda.time.DateTime dateTime)

  Converts an org.joda.time.DateTime time to a String time

  Parameters:
    `dateTime` -
  Returns:

### parseXSDDateTime

    public static org.joda.time.DateTime parseXSDDateTime(String text)

  Converts a String dateTime to an org.joda.time.DateTime

  Parameters:
    `string` -
  Returns:

### printXSDDateTime

    public static String printXSDDateTime(org.joda.time.DateTime dateTime)

  Converts an org.joda.time.DateTime to a String dateTime

  Parameters:
    `dateTime` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.